"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  components: {},
  data() {
    return {
      rateValue1: 0,
      rateValue2: 0,
      rateValue3: 0
    };
  },
  onLoad() {
    setTimeout(() => {
      this.rateValue = 3;
    }, 1e3);
  },
  methods: {
    onChange1(e) {
      console.log("rate发生改变:" + JSON.stringify(e));
    },
    onChange2(e) {
      console.log("rate发生改变:" + JSON.stringify(e));
    },
    onChange3(e) {
      console.log("rate发生改变:" + JSON.stringify(e));
    }
  }
};
if (!Array) {
  const _easycom_uni_rate2 = common_vendor.resolveComponent("uni-rate");
  _easycom_uni_rate2();
}
const _easycom_uni_rate = () => "../../uni_modules/uni-rate/components/uni-rate/uni-rate.js";
if (!Math) {
  _easycom_uni_rate();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o($options.onChange1),
    b: common_vendor.o(($event) => $data.rateValue1 = $event),
    c: common_vendor.p({
      modelValue: $data.rateValue1
    }),
    d: common_vendor.o($options.onChange2),
    e: common_vendor.o(($event) => $data.rateValue2 = $event),
    f: common_vendor.p({
      modelValue: $data.rateValue2
    }),
    g: common_vendor.o($options.onChange3),
    h: common_vendor.o(($event) => $data.rateValue3 = $event),
    i: common_vendor.p({
      modelValue: $data.rateValue3
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__file", "D:/111111000000/uniapp04/pages/orderEvaluation/orderEvaluation.vue"]]);
my.createPage(MiniProgramPage);
